%define upver 0.8.2
%define subver 0

Summary:	Qt GUI for fsarchiver
Name:		qt5-fsarchiver
Version:	%{upver}.%{subver}
Release:	1
License:	GPLv2+ and GPLv3+
Group:		Archiving/Backup
Url:		http://qt4-fsarchiver.sourceforge.net/
Source0:	http://downloads.sourceforge.net/%{name}/source/%{name}-%{upver}-%{subver}.tar.gz
Source1:	qt5-fsarchiver-0.8.2-ru.tar.gz
Patch0:		qt5-fsarchiver-desktop.patch
BuildRequires:	e2fsprogs
BuildRequires:	qt5-linguist-tools
BuildRequires:	attr-devel
BuildRequires:	bzip2-devel
BuildRequires:	liblzo-devel
BuildRequires:	pkgconfig(blkid)
BuildRequires:	pkgconfig(ext2fs)
BuildRequires:	pkgconfig(libgcrypt)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(zlib)
Requires:	gdisk
Requires:	nfs-utils
Requires:	nmap
Requires:	samba
Requires:	samba-client
Requires:	sshfs-fuse
Requires:	sshpass
Requires:	xfsprogs

%description
qt5-fsarchiver is a GUI for the program fsarchiver.

FSArchiver a system tool that allows you to save the contents of
a file-system to a compressed archive file. The file-system can be
restored on a partition which has a different size and it can be
restored on a different file-system.

%files
%{_sbindir}/%{name}
%{_datadir}/applications/gnome-qt5-fsarchiver.desktop
%{_datadir}/applications/kde-qt5-fsarchiver.desktop
%{_datadir}/applications/mate-qt5-fsarchiver.desktop
%{_datadir}/applications/lxqt-qt5-fsarchiver.desktop
%{_iconsdir}/hicolor/48x48/apps/%{name}.png
%{_docdir}/%{name}/doc/*
%{_datadir}/qt5/translations/%{name}*.qm
%{_datadir}/qt5/translations/%{name}*.ts
%{_sbindir}/findsmb-qt5
%{_sbindir}/qt5-fsarchiver_polkit
%{_datadir}/polkit-1/actions/org.project.pkexec.run-qt5-fsarchiver.policy


#----------------------------------------------------------------------------

%prep
%setup -q -n %{name}
%patch0 -p1

pushd translations
tar -xvzf %{SOURCE1}
popd

%build
%qmake_qt5 qt5-fsarchiver.pro
%make

%install
%makeinstall_qt

#clean doc directory from backup files
rm -rf %{buildroot}%{_datadir}/doc/qt5-fsarchiver/doc/*~

mkdir -p %{buildroot}%{_iconsdir}/hicolor/48x48/apps/
mv %{buildroot}%{_datadir}/app-install/icons/harddrive1.png %{buildroot}%{_iconsdir}/hicolor/48x48/apps/%{name}.png

install -m 0644 -p translations/*.ts %{buildroot}%{_datadir}/qt5/translations/
install -m 0644 -p starter/lxqt-qt5-fsarchiver.desktop  %{buildroot}%{_datadir}/applications


%changelog

* Sat Jan 13 2018 Victor Ryzhikh <victorr2007@yandex.ru> 0.8.2.0-1
- (b396e3e) Updated to 0.8.2-0

* Sat Jan 13 2018 Victor Ryzhikh <victorr2007@yandex.ru> 0.8.1.1-3
- (8bdb4bc) Updated to 0.8.2-0
- (Victor Ryzhikh: 9c8b948) Updated to 0.8.2-0
- (Victor Ryzhikh: 64bf3e5) Added startup via kdesu
- (Victor Ryzhikh: 6bcb221) Added startup via kdesu
- (Victor Ryzhikh: ea3f51a) Updated Russian translations

* Thu May 18 2017 Victor Ryzhikh <victorr2007@yandex.ru> 0.8.1.1-2
- (56b2957) Updated Russian translations
- (Victor Ryzhikh: 341d6e2) Updated Russian translations
- (Denis Silakov: 2459e75) Let's avoid lxsu & co and use consolehelper

* Thu May 18 2017 Victor Ryzhikh <victorr2007@yandex.ru> 0.8.1.1-1
- (878c2f3) Updated files desktop
- (Victor Ryzhikh: 64da0bf) Updated to 0.8.1-1

* Thu May 18 2017 Victor Ryzhikh <victorr2007@yandex.ru> 0.8.1.0-1
- (4fbe6fb) Updated to 0.8.1-1
- (Victor Ryzhikh: 7038e99) Updated to 0.8.1-0

* Sat Feb 25 2017 Victor Ryzhikh <victorr2007@yandex.ru> 0.8.0.5-6
- (c415bb4) Updated to 0.8.1-0
- (Andrey Bondrov: 85195b2) Spec cleanup

* Fri Dec 09 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 0.8.0.5-5
- (1d1036e) MassBuild#1190: Increase release tag

* Fri Nov 04 2016 Victor Ryzhikh <victorr2007@yandex.ru> 0.8.0.5-4
- (b3baa56) Updated Russian translations

* Fri Nov 04 2016 Victor Ryzhikh <victorr2007@yandex.ru> 0.8.0.5-3
- (10aa824) Updated Russian translations
- (Victor Ryzhikh: 3cf8000) Updated Russian translations

* Fri Oct 28 2016 Victor Ryzhikh <victorr2007@yandex.ru> 0.8.0.5-2
- (c59d8d3) Updated Russian translations
- (Victor Ryzhikh: b52fd06) Updated Russian translations

* Thu Oct 27 2016 Victor Ryzhikh <victorr2007@yandex.ru> 0.8.0.5-1
- (d62e21c) Updated Russian translations
- (Victor Ryzhikh: c0cb05e) Updated to 0.8.0-5, updated Russian translations

* Thu Oct 27 2016 Victor Ryzhikh <victorr2007@yandex.ru> 0.8.0.0-1
- (0974d2e) Updated to 0.8.0-5, updated Russian translations
- (Victor Ryzhikh: db2a2eb) Updated to 0.8.0-0

* Thu Oct 13 2016 Victor Ryzhikh <victorr2007@yandex.ru> 0.6.19.21-1
- (2f05b26) Updated to version 0.8.0-0
- (Victor Ryzhikh: 84714a9) Updated to version 0.6.19.21

* Wed Aug 03 2016 Victor Ryzhikh <victorr2007@yandex.ru> 0.6.19.20-1
- (5124ece) Updated to version 0.6.19.21
- (Victor Ryzhikh: aba7927) Updated icon name
- (Victor Ryzhikh: 8d15756) Updated qt5-fsarchiver.spec


